{$R+,Q+,S+,I+,H+,O-}
Uses SysUtils,TestLib;
Var
  O1,O2,A1,A2:String;
  N:Integer;
  K:Int64;
  X,Y,AX,AY:Int64;
Begin
  N:=Inf.ReadLongInt;
  K:=StrToInt64(Inf.ReadWord(NumberBefore,NumberAfter));
  O1:=Ouf.ReadWord(NumberBefore,NumberAfter);
  O2:=Ouf.ReadWord(NumberBefore,NumberAfter);
  A1:=Ans.ReadWord(NumberBefore,NumberAfter);
  A2:=Ans.ReadWord(NumberBefore,NumberAfter);

  Try
    X:=StrToInt64(O1);
    Y:=StrToInt64(O2);
  Except
    Quit(_PE,'Выведены не числа.');
  End;

  AX:=StrToInt64(A1);
  AY:=StrToInt64(A2);

  If (X<>AX) Or (Y<>AY) Then
    Quit(_WA,Format('Неверно найден квартал: выведено (%d,%d), а ожидалось (%d,%d).', [X,Y,AX,AY]));

  Quit(_OK,Format('N = %d, K = %d', [N, K]));
End.
